Bug 1418783 - [RFE] Add Versioning Control to Provisioning Templates
Summary: [RFE] Add Versioning Control to Provisioning Templates
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Docs Provisioning Guide
Version: 6.2.7
Hardware: All
OS: Linux
medium
medium
Target Milestone: Unspecified
Assignee: Sergei Petrosian
QA Contact: Stephen Wadeley
URL:
Whiteboard:
Depends On:
Blocks: 1454814
TreeView+ depends on / blocked
 
Reported: 2017-02-02 17:32 UTC by Josh Foots
Modified: 2020-04-15 15:12 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1454814 (view as bug list)
Environment:
Last Closed: 2017-05-25 13:19:02 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Josh Foots 2017-02-02 17:32:02 UTC
Description of problem:

Would like to be able to control versions of provisioning templates

How reproducible:

Very

Steps to Reproduce:
1. Make a change to a template. 
2. 
3.

Actual results:

No way to revert to the previous version of the template

Expected results:

Would like to revert to earlier versions.

Additional info:

Comment 1 Marek Hulan 2017-03-03 17:58:27 UTC
Hello, there is already a versioning mechanism for provisioning templates. Whenever the template content is changed, new version is saved. When you edit the template, there is a tab called "History" where you see all versions. For each version you can see, who did the change, when the change was made and by clicking Diff link you see the difference. If you want to revert the change, there's Revert link too. Could you please let me know, if there's something missing or close the BZ if that meets the requirements? Btw the same mechanism is there for partition tables and job templates.

Comment 2 Josh Foots 2017-03-16 19:01:29 UTC
Hi Marek,

Customer was good with the process described in you previous comment. 

Closing.

Comment 3 Marek Hulan 2017-03-17 08:33:27 UTC
Thanks for confirming, I'm reopening and moving to docs component to make sure we have it covered in the product documentation.

Documentation team, please let me know if you need more information that provided in comment 1. Please also note that the same versioning mechanism applies to partition tables (also related to provisioning guide) and job templates (remote execution).

Comment 6 Andrew Dahms 2017-05-17 06:06:07 UTC
Assigning to Sergei for review.

Sergei - to start, let's add a 'Note' box to the first section Stephen called out above to let users know where they can find the options to see version history, and to let users know that they can revert to certain versions as well.

Let's also add the link as recommended by Stephen.

Comment 16 Sergei Petrosian 2017-05-25 13:19:02 UTC
These changes are now live on the Custom Portal.
Thank you


Note You need to log in before you can comment on or make changes to this bug.